package com.bonus.sgzb.app.service.impl;

import com.bonus.sgzb.app.domain.LeaseApplyInfo;
import com.bonus.sgzb.app.mapper.LeaseApplyInfoMapper;
import com.bonus.sgzb.app.service.LeaseApplyInfoService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
/**
* Description:
* @Author 阮世耀
* @Create 2023/12/13 15:45
* @Version 1.0
*/

@Service
public class LeaseApplyInfoServiceImpl implements LeaseApplyInfoService{

    @Resource
    private LeaseApplyInfoMapper leaseApplyInfoMapper;

    @Override
    public int deleteByPrimaryKey(Integer id) {
        return leaseApplyInfoMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(LeaseApplyInfo record) {
        return leaseApplyInfoMapper.insert(record);
    }

    @Override
    public int insertOrUpdate(LeaseApplyInfo record) {
        return leaseApplyInfoMapper.insertOrUpdate(record);
    }

    @Override
    public int insertOrUpdateSelective(LeaseApplyInfo record) {
        return leaseApplyInfoMapper.insertOrUpdateSelective(record);
    }

    @Override
    public int genderLeaseCode(LeaseApplyInfo record) {
        return leaseApplyInfoMapper.insertSelective(record);
    }

    @Override
    public LeaseApplyInfo selectByPrimaryKey(Integer id) {
        return leaseApplyInfoMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(LeaseApplyInfo record) {
        return leaseApplyInfoMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(LeaseApplyInfo record) {
        return leaseApplyInfoMapper.updateByPrimaryKey(record);
    }

    @Override
    public int updateBatch(List<LeaseApplyInfo> list) {
        return leaseApplyInfoMapper.updateBatch(list);
    }

    @Override
    public int updateBatchSelective(List<LeaseApplyInfo> list) {
        return leaseApplyInfoMapper.updateBatchSelective(list);
    }

    @Override
    public int batchInsert(List<LeaseApplyInfo> list) {
        return leaseApplyInfoMapper.batchInsert(list);
    }

}
